Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://app.freyavoice.ai/api/v2/api-keys \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "apiKeys": [ { "id": "<string>", "name": "<string>", "isActive": true, "expiresAt": "<string>" } ] } '
{ "success": true, "data": { "message": "<string>", "result": { "updated": [ { "id": "<string>", "key": "<string>", "workspaceId": "<string>", "userId": "<string>", "name": "<string>", "isActive": true, "createdAt": "<string>", "lastUsedAt": "<string>", "expiresAt": "<string>", "rateLimit": { "requestsPerMinute": 123, "requestsPerDay": 123 }, "permissions": [], "creator": { "id": "<string>", "email": "jsmith@example.com", "displayName": "<string>" } } ], "errors": [ { "id": "<string>", "error": "<string>", "details": [ { "field": "<string>", "message": "<string>" } ] } ] } } }
Updates one or more API keys (name, active status, expiration, rate limits).
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
API keys updated
true